package com.zd.airbottle.service;

import java.util.List;
import com.zd.airbottle.domain.QpTaskDetail;
import com.zd.airbottle.domain.vo.QpAirGoodsConfigRelationVo;
import com.zd.airbottle.domain.vo.QpTaskDetailVO;

/**
 * 待办清单Service接口
 * 
 * @author zd
 * @date 2022-05-11
 */
public interface IQpTaskDetailService 
{
    /**
     * 查询待办清单
     * 
     * @param id 待办清单主键
     * @return 待办清单
     */
    QpTaskDetail selectQpTaskDetailById(Long id);

    QpTaskDetailVO selectQpTaskDetailByIdVo(Long id);

    /**
     * 查询待办清单列表
     * 
     * @param qpTaskDetail 待办清单
     * @return 待办清单集合
     */
    List<QpTaskDetail> selectQpTaskDetailList(QpTaskDetail qpTaskDetail);

    List<QpTaskDetailVO> selectQpTaskDetailListVo (QpTaskDetail qpTaskDetail);

    /**
     * 新增待办清单
     * 
     * @param qpTaskDetail 待办清单
     * @return 结果
     */
    int insertQpTaskDetail(QpTaskDetail qpTaskDetail);

    /**
     * 修改待办清单
     * 
     * @param qpTaskDetail 待办清单
     * @return 结果
     */
    int updateQpTaskDetail(QpTaskDetail qpTaskDetail);

    /**
     * 批量删除待办清单
     * 
     * @param ids 需要删除的待办清单主键集合
     * @return 结果
     */
    int deleteQpTaskDetailByIds(Long[] ids);

    /**
     * 删除待办清单信息
     * 
     * @param id 待办清单主键
     * @return 结果
     */
    int deleteQpTaskDetailById(Long id);

    /**
     * 根据待办清单id详情关联查询
     * @param id
     * @return
     */
    List<QpTaskDetailVO> selectQpTaskDetailByIdRelation(Long id);

    /**
     * 根据待办清单详情表id 关联查询
     * @param id
     * @return
     */
     List<QpAirGoodsConfigRelationVo> selectQpTaskDetailByDetailsIdRelation(Long id);

    /**
     * 根据待办清单详情表id 关联查询规格信息
     * @param id
     * @return
     */
     QpTaskDetailVO selectRelationByDetailsId(Long id);

    /**
     * 待办清单待入库列表
     * @param id
     * @return
     */
    List<QpAirGoodsConfigRelationVo> selectQpTaskDetailStock(Long id);

    /***
     * 未派送
     * @param id
     * @return
     */
    List<QpAirGoodsConfigRelationVo> selectQpTaskDetailDistribute(Long id);

    /***
     * 待办清单 已入库
     * @param id
     * @return
     */
    List<QpAirGoodsConfigRelationVo> selectQpTaskDetailDealWith(Long id);


    /***
     * 待办清单 拒收列表
     * @param id
     * @return
     */
    List<QpAirGoodsConfigRelationVo> selectQpTaskDetailRefuse(Long id);

    List<QpTaskDetailVO> getDetailsInfo(Long taskId);

    /***
     * 气瓶列表 关联查询气瓶详细信息
     * @param airGoodsConfigRelationVo
     * @return
     */
    public List<QpAirGoodsConfigRelationVo> selectQpTaskDetailRelationList(QpAirGoodsConfigRelationVo airGoodsConfigRelationVo);

}
